Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.custom
Class CTabFolderEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.custom.CTabFolderEvent

public class CTabFolderEvent
extends TypedEvent

This event is sent when an event is generated in the `CTabFolder`.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

Since:
  1.0
See Also:
  Serialized Form

Field Summary
`static int` `CLOSE`
`boolean` `doit` A flag indicating whether the operation should be allowed.
`int` `height` The height of the chevron button at the time of the event.
`Widget` `item` The tab item for the operation.
`static int` `MAXIMIZE`
`static int` `MINIMIZE`
`static int` `RESTORE`
`static int` `SHOW_LIST`
`int` `width` The width of the chevron button at the time of the event.
`int` `x` The widget-relative, x coordinate of the chevron button at the time of the event.
`int` `y` The widget-relative, y coordinate of the chevron button at the time of the event.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`CTabFolderEvent(Object source, int id)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, CTabFolder2Listener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(Object listener)`
`static Object[]` `getListeners(Adaptable adaptable)`
`protected Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, CTabFolder2Listener listener)`
`String` `toString()`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLOSE

    public static final int CLOSE

See Also:
  Constant Field Values

### MINIMIZE

    public static final int MINIMIZE

See Also:
  Constant Field Values

### MAXIMIZE

    public static final int MAXIMIZE

See Also:
  Constant Field Values

### RESTORE

    public static final int RESTORE

See Also:
  Constant Field Values

### SHOW_LIST

    public static final int SHOW_LIST

See Also:
  Constant Field Values

### item

    public Widget item

  The tab item for the operation.

### doit

    public boolean doit

  A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation. Applies to the close and showList events.

### x

    public int x

  The widget-relative, x coordinate of the chevron button at the time of the event. Applies to the showList event.

### y

    public int y

  The widget-relative, y coordinate of the chevron button at the time of the event. Applies to the showList event.

### width

    public int width

  The width of the chevron button at the time of the event. Applies to the showList event.

### height

    public int height

  The height of the chevron button at the time of the event. Applies to the showList event.

Constructor Detail

### CTabFolderEvent

    public CTabFolderEvent(Object source,
                           int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   CTabFolder2Listener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      CTabFolder2Listener listener)

### getListeners

    public static Object[] getListeners(Adaptable adaptable)

### toString

    public String toString()

  Overrides:
    `toString` in class `TypedEvent`

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.